Check membership in a developer agent signal channel
curl --request POST \
--url https://mcp.echozero.app/api/v1/users/me/channel-memberships/check \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-signature: <x-signature>' \
--header 'x-timestamp: <x-timestamp>' \
--data '
{
"developerAgentId": "<string>"
}
'import requests
url = "https://mcp.echozero.app/api/v1/users/me/channel-memberships/check"
payload = { "developerAgentId": "<string>" }
headers = {
"x-signature": "<x-signature>",
"x-timestamp": "<x-timestamp>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-signature': '<x-signature>',
'x-timestamp': '<x-timestamp>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({developerAgentId: '<string>'})
};
fetch('https://mcp.echozero.app/api/v1/users/me/channel-memberships/check', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {
method: 'POST',
headers: {
'x-signature': '<x-signature>',
'x-timestamp': '<x-timestamp>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({developerAgentId: '<string>'})
};
fetch('https://mcp.echozero.app/api/v1/users/me/channel-memberships/check', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://mcp.echozero.app/api/v1/users/me/channel-memberships/check"
payload := strings.NewReader("{\n \"developerAgentId\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-signature", "<x-signature>")
req.Header.Add("x-timestamp", "<x-timestamp>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"data": {
"ok": true,
"reason": "<string>",
"channelId": "<string>",
"channelName": "<string>",
"telegramMemberStatus": "<string>",
"telegramError": "<string>",
"discordUsername": "<string>",
"discordError": "<string>"
}
}{
"success": false,
"error": {
"code": "NOT_FOUND",
"message": "Resource not found"
}
}{
"success": false,
"error": {
"code": "NOT_FOUND",
"message": "Resource not found"
}
}{
"success": false,
"error": {
"code": "NOT_FOUND",
"message": "Resource not found"
}
}{
"success": false,
"error": {
"code": "NOT_FOUND",
"message": "Resource not found"
}
}{
"success": false,
"error": {
"code": "NOT_FOUND",
"message": "Resource not found"
}
}User
Check membership in a developer agent signal channel
Resolves the agent’s active Discord or Telegram connectedChannels row (Discord preferred when both are active) and verifies your linked membership via Discord getGuildMember or Telegram getChatMember.
POST
/
api
/
v1
/
users
/
me
/
channel-memberships
/
check
Check membership in a developer agent signal channel
curl --request POST \
--url https://mcp.echozero.app/api/v1/users/me/channel-memberships/check \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-signature: <x-signature>' \
--header 'x-timestamp: <x-timestamp>' \
--data '
{
"developerAgentId": "<string>"
}
'import requests
url = "https://mcp.echozero.app/api/v1/users/me/channel-memberships/check"
payload = { "developerAgentId": "<string>" }
headers = {
"x-signature": "<x-signature>",
"x-timestamp": "<x-timestamp>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-signature': '<x-signature>',
'x-timestamp': '<x-timestamp>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({developerAgentId: '<string>'})
};
fetch('https://mcp.echozero.app/api/v1/users/me/channel-memberships/check', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {
method: 'POST',
headers: {
'x-signature': '<x-signature>',
'x-timestamp': '<x-timestamp>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({developerAgentId: '<string>'})
};
fetch('https://mcp.echozero.app/api/v1/users/me/channel-memberships/check', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://mcp.echozero.app/api/v1/users/me/channel-memberships/check"
payload := strings.NewReader("{\n \"developerAgentId\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-signature", "<x-signature>")
req.Header.Add("x-timestamp", "<x-timestamp>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"data": {
"ok": true,
"reason": "<string>",
"channelId": "<string>",
"channelName": "<string>",
"telegramMemberStatus": "<string>",
"telegramError": "<string>",
"discordUsername": "<string>",
"discordError": "<string>"
}
}{
"success": false,
"error": {
"code": "NOT_FOUND",
"message": "Resource not found"
}
}{
"success": false,
"error": {
"code": "NOT_FOUND",
"message": "Resource not found"
}
}{
"success": false,
"error": {
"code": "NOT_FOUND",
"message": "Resource not found"
}
}{
"success": false,
"error": {
"code": "NOT_FOUND",
"message": "Resource not found"
}
}{
"success": false,
"error": {
"code": "NOT_FOUND",
"message": "Resource not found"
}
}Authorizations
bearer-jwtapi-key
Headers
Body
application/json